Skip to main content
POST
/
v1
/
merchants
Create merchant
curl --request POST \
  --url https://api.clearbox.example.com/v1/merchants \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "legal_name": "Pacific Music Festival LLC",
  "display_name": "Pacific Music Festival",
  "country": "US",
  "category": "venue",
  "settlement_currency": "USD",
  "contact_email": "ops@pacificfest.example.com"
}
'
{
  "merchant_id": "mer_7d3a",
  "legal_name": "<string>",
  "display_name": "<string>",
  "country": "<string>",
  "category": "<string>",
  "settlement_currency": "<string>",
  "created_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.clear-box.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

ClearBox API key. Use cb_sandbox_... in the sandbox and cb_live_... in production.

Body

application/json
Example:

"Pacific Music Festival LLC"

country
string
required
Example:

"US"

settlement_currency
enum<string>
required
Available options:
USD,
USDC,
USDT
display_name
string
Example:

"Pacific Music Festival"

category
enum<string>
Available options:
venue,
festival,
campus,
resort,
stadium,
food_service,
other
contact_email
string<email>

Response

201 - application/json

Merchant created.

merchant_id
string
Example:

"mer_7d3a"

display_name
string
country
string
category
string
settlement_currency
string
kyb_status
enum<string>
Available options:
pending_kyb,
active,
declined,
suspended
created_at
string<date-time>